PF2E Playlist
  1. #1

    Script Error 46 - D&D 5e Ruleset

    Whenever I attempt to create a new campaign, or launch an existing one that uses the D&D 5e ruleset, I receive the following error:

    Script Error: [string "scripts/data_options_5E.lua"]:46: attempt to call field 'isClientFGU' (a nil value)
    I'm running Fantasy Grounds Classic v.3.3.10 Ultimate. I moved the 5e ruleset (5e.pak) file out of my \rulesets folder and updated to get a new one, but I still get the same error. I haven't ever unpacked my 5e ruleset, but that looks like some initial, starter script where there's a check being made as to whether it's the Classic or Unity client running?

    If anyone has suggestions as how to resolve this, I'd appreciate hearing them.

  2. #2
    Zacchaeus's Avatar
    Join Date
    Dec 2014
    Location
    Scotland
    Posts
    16,521
    Can you try deleting the CoreRPG.pak file from rulesets and do another update.

    Also are you using any extensions? Doe the error occur in a new campaign without any extensions (remember themes and decals are extensions too).
    If you need to contact customer support or if there is something that you would like to see in Fantasy Grounds that isn't currently part of the software or if there is something you think would improve a ruleset then add your idea here http://fgapp.idea.informer.com/

  3. #3
    Quote Originally Posted by Zacchaeus View Post
    Can you try deleting the CoreRPG.pak file from rulesets and do another update.

    Also are you using any extensions? Doe the error occur in a new campaign without any extensions (remember themes and decals are extensions too).
    Thanks for the reply Zacchaeus, will do . The error is occurring on a new campaign without any extensions being loaded.

  4. #4
    Well I removed CoreRPG.pak and updated, but I'm still getting the same error when creating a new D&D 5e campaign without any extensions being loaded.

    I'm willing to unpack the 5e.pak and checked that LUA script in the \Scripts folder. I'm far from savvy with FG extension programming, but if anyone could suggest what I should be checking for, I'll unpack and load that data_options_5E.lua script into NP++.

  5. #5
    Trenloe's Avatar
    Join Date
    May 2011
    Location
    Newcastle, UK (for a bit)
    Posts
    29,078
    Are you running in the test or live channel?
    Private Messages: My inbox is forever filling up with PMs. Please don't send me PMs unless they are actually private/personal messages. General FG questions should be asked in the forums - don't be afraid, the FG community don't bite and you're giving everyone the chance to respond and learn!

  6. #6
    Quote Originally Posted by Trenloe View Post
    Are you running in the test or live channel?
    Good question, I'm actually running with the Dev channel. I've been coding some extensions for the Savage Worlds ruleset, so I though that was the correct update channel to use. I haven't had any errors using the SW ruleset, but should I change channels?

  7. #7
    Trenloe's Avatar
    Join Date
    May 2011
    Location
    Newcastle, UK (for a bit)
    Posts
    29,078
    Don't use the Dev channel - SmiteWorks use that for very specific development testing.

    I'd also recommend you develop against live unless you've been told otherwise by SmiteWorks - the test channel frequently has future code in it, code that might not work for people on live and that may also raise errors.
    Private Messages: My inbox is forever filling up with PMs. Please don't send me PMs unless they are actually private/personal messages. General FG questions should be asked in the forums - don't be afraid, the FG community don't bite and you're giving everyone the chance to respond and learn!

  8. #8
    Quote Originally Posted by Trenloe View Post
    Don't use the Dev channel unless you've been specifically told to by SmiteWorks - they use that for very specific development testing.

    I'd recommend you develop against live unless you've been told otherwise by SmiteWorks.
    Thanks for the info Trenloe, I'll switch to Live and run some tests.

    [Edit] OK...I switched to Live, updated and the error is now gone. Many thanks with all the help in resolving this.
    Last edited by kronovan; March 29th, 2020 at 12:04.

  9. #9
    I just wanted to add a +1 to the solution Trenloe initially suggested. I was running a 5E campaign on Live channel with no extensions and getting the same script error 46. I deleted CoreRPG.pak and re-ran the updater as suggested. No more script error.

    Hope this helps anyone else with this error down the road.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Starfinder Playlist

Log in

Log in